﻿@*
    For more information on enabling MVC for empty projects, visit https://go.microsoft.com/fwlink/?LinkID=397860
*@

@{
    Layout = "~/Views/Shared/_faasoftwarelayout.cshtml";
}

<style>
    .table-bordered {
        width: 100%;
    }

    .dataTables_wrapper .dataTables_filter {
        /* float: right; */
        text-align: center;
    }
</style>

<div class="d-flex btn-grps" style="padding-top:5px">
    <ul class="nav nav-tabs d-flex" id="Menu_nav_Id" accesskey="1" role="tablist">


        <li class="nav-item" role="presentation">
            <!-- class="nav-link active" -->
            <button class="nav-link w-100 Tab2" accesskey="2" id="home-tab" data-bs-toggle="tab" data-bs-target="#TabNav_2" type="button"
                    role="tab" aria-controls="TabNav_2" aria-selected="true">
                Customer Details
            </button>
        </li>

        <li class="nav-item  flex-fill" role="presentation">
            <button class="nav-link Tab3" accesskey="3" id="OperatorDirectory-tab" data-bs-toggle="tab" data-bs-target="#TabNav_3" type="button"
                    role="tab" aria-controls="TabNav_3" aria-selected="false">
                Operator Directory
            </button>
        </li>

        <li class="nav-item flex-fill" role="presentation">
            <button class="nav-link Tab4" accesskey="4" id="DataDirectory-tab" data-bs-toggle="tab" data-bs-target="#TabNav_4" type="button"
                    role="tab" aria-controls="TabNav_4" aria-selected="false">
                Data Directory
            </button>
        </li>

        <li class="nav-item flex-fill" role="presentation">
            <button class="nav-link Tab46" accesskey="46" id="Manufacturer-tab" data-bs-toggle="tab" data-bs-target="#TabNav_46" type="button"
                    role="tab" aria-controls="TabNav_46" aria-selected="false">
                Manufacturer Details
            </button>
        </li>

    </ul>
</div>

<div class="tab-content pt-2" id="myTabContent" style="padding-top:20px">
    <!-- Customer Details Code -->

    <div class="tab-pane fade" id="TabNav_2" role="tabpanel" aria-labelledby="home-tab" style="padding-top:10px">
        <section class="section">
            <div class="col-lg-12">
                <!--<div class="pagetitle">
                    <h1>Hospital Information</h1>
                </div>-->

                <div class="card">
                    <div class="card-header cardheader_margin">
                        <div class="row col-lg-12 cardheader_margin_title">
                            <div class="col-sm-9">
                                <h5 class="card-title">
                                    Hospital Details
                                </h5>
                            </div>
                        </div>
                    </div>

                    <div class="card-body">


                        <!-- General Form Elements -->

                        <div class="form-floating mb-3 col-lg-12 row mt-3">
                            <div class="mb-2 col-lg-9">
                                <div class="cd-position-relative">
                                    <input type="hidden" id="txtHstl_Id" />
                                    <input type="text" class="floating-label-control cd-form-control form-control" id="txtHstl_Name" placeholder="Hospital Name">
                                    <label for="inputOperatorName" class="floating-label">Hospital Name</label>
                                </div>
                            </div>
                            <div class="mb-2 col-lg-3">
                                <div class="cd-position-relative">
                                    <input type="text" class="floating-label-control cd-form-control form-control" id="txtHstl_PhoneNo" placeholder="TelephoneNo">
                                    <label for="inputTelephoneNo" class="floating-label">Telephone Number</label>
                                </div>
                            </div>
                        </div>

                        <div class="cd-position-relative mb-3 col-lg-12 mt-3 row">
                            <div class="mb-2 col-lg-9">
                                <div class="cd-position-relative m">
                                    <textarea class="floating-label-control cd-form-control form-control" style="height: 100px;" id="txtHstl_Address" placeholder="Hospital Address"></textarea>
                                    <label class="floating-label" for="inputAddress">Hospital Address</label>
                                </div>
                            </div>
                            <div class="mb-2 col-lg-3 mt-4" style="text-align:right;">
                                <div class="card-title save">
                                    <button type="button" class="btn btn-primary" id="btnHstl_Save" data-bs-toggle="tooltip" data-bs-html="true" data-bs-original-title="Update Hospital Details" onclick="SaveHospital()">Submit</button>
                                </div>
                            </div>
                        </div>

                    </div>
                </div>

                <!-- Data Table starts here -->
                <div class="card">
                    <div class="card-body">
                        <div class="row col-lg-12">
                            <div class="col-sm-9">
                                <h5 class="card-title">
                                    Department And Doctor Details
                                </h5>
                            </div>
                            <div class="col-sm-3 mb-3 card-title" style="text-align:right;">
                                <button type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#modelDoctor" data-bs-toggle="tooltip" data-bs-html="true" data-bs-original-title="Add New Doctor">
                                    <b><i class="bi bi-plus"></i></b>Add New Doctor
                                </button>
                            </div>
                        </div>
                        <!-- General Form Elements -->
                        <div id="divtblDoctor">
                            <table id="tblDoctor" class="display compact" style="width:100%;">
                                <thead>
                                    <tr>
                                        <th>Doctor Name</th>
                                        <th>Department</th>
                                        <th>Mobile Number</th>
                                        <th>Remarks</th>
                                        <th>Action</th>
                                    </tr>
                                </thead>
                            </table>
                        </div>
                        <div id="divDoctorNoRecordFound"></div>

                    </div>
                </div>

            </div>
        </section>
        <!-- Customer Details Code Ends Here-->
    </div>

    <!-- Operator Directory Code -->


    <div class="tab-pane fade" id="TabNav_3" role="tabpanel" aria-labelledby="OperatorDirectory-tab" style="padding-top:10px;">
        <div class="card">
            <div class="card-header cardheader_margin">
                <div class="row col-lg-12 cardheader_margin_title">
                    <div class="col-sm-9">
                        <h5 class="card-title">
                            Operators
                        </h5>
                    </div>
                    <div class="col-sm-3 card-title save" style="text-align:right;">
                        <button type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#modelOperator">
                            <b><i class="bi bi-plus"></i></b>Add New Operator
                        </button>
                    </div>
                </div>
            </div>

            <div class="card-body">
                <!-- Table with stripped rows -->
                @*  *@
                <div id="divtblOperator">
                    <table id="tblOperator" class="display compact" style="width:100%;">
                        <thead>
                            <tr>
                                <th>Name</th>
                                <th>Email</th>
                                <th>Mobile Number</th>
                                <th>Action</th>
                            </tr>
                        </thead>
                    </table>
                </div>
                <div id="divOperatorNoRecordFound"></div>

                <!-- End Table with stripped rows -->
            </div>
        </div>

    </div>
    <!-- Operator Directory Code Ends Here -->
    <!-- Data directory code starts here -->

    <div class="tab-pane fade" id="TabNav_4" role="tabpanel" aria-labelledby="DataDirectory-tab" style="padding-top:10px;">
        <div class="pagetitle" style="display:none;">
            <h1>Data Directory</h1>
        </div>
        <!-- End Page Title -->

        <section class="section">
            <div class="row">
                <div class="d-flex align-items-start" style="text-align:left;">
                    <div class="nav flex-column nav-pills col-3" id="v-pills-tab" role="tablist" style="text-align:left; padding:0px 10px;" aria-orientation="vertical">
                        <button class="nav-link active" id="tab-SampleType-tab" style="text-align:left;" data-bs-toggle="pill" data-bs-target="#tab-SampleType" type="button" role="tab" aria-controls="tab-SampleType" aria-selected="true">Sample Types</button>
                        <button class="nav-link" id="tab-UnitType-tab" style="text-align:left;" data-bs-toggle="pill" data-bs-target="#tab-UnitType" type="button" role="tab" aria-controls="tab-UnitType" aria-selected="false">Result Units</button>
                        <button class="nav-link" id="tab-Qualitative-tab" style="text-align:left;" data-bs-toggle="pill" data-bs-target="#tab-Qualitative" type="button" role="tab" aria-controls="tab-Qualitative" aria-selected="false">Qualitative Results</button>
                        <button class="nav-link" id="tab-Result-tab" style="text-align:left;" data-bs-toggle="pill" data-bs-target="#tab-Result" type="button" role="tab" aria-controls="tab-Result" aria-selected="false">Result Types</button>
                        <button class="nav-link" id="tab-Clinical-tab" style="text-align:left;" data-bs-toggle="pill" data-bs-target="#tab-Clinical" type="button" role="tab" aria-controls="tab-Clinical" aria-selected="false">Clinical Types</button>
                        <button class="nav-link" id="tab-SampleContainer-tab" style="text-align:left;" data-bs-toggle="pill" data-bs-target="#tab-SampleContainer" type="button" role="tab" aria-controls="tab-SampleContainer" aria-selected="false">Sample Containers</button>
                        <button class="nav-link" id="tab-ReagentBottleType-tab" style="text-align:left;" data-bs-toggle="pill" data-bs-target="#tab-ReagentBottleType" type="button" role="tab" aria-controls="tab-ReagentBottleType" aria-selected="false">Reagent Bottle Type </button>
                        <button class="nav-link" id="tab-QcMaterial-tab" style="text-align:left;" data-bs-toggle="pill" data-bs-target="#tab-QcMaterial" type="button" role="tab" aria-controls="tab-QcMaterial" aria-selected="false">QC Material</button>
                    </div>

                    <div class="tab-content col-9" id="v-pills-tabContent">

                        <div class="tab-pane fade show active" id="tab-SampleType" role="tabpanel" aria-labelledby="tab-SampleType-tab">

                            <div class="card">
                                <div class="card-header cardheader_margin">
                                    <div class="row col-lg-12 cardheader_margin_title">
                                        <div class="col-sm-6">
                                            <h5 class="card-title">
                                                Sample Types
                                            </h5>
                                        </div>
                                        <div class="col-sm-6 card-title save" style="text-align:right;">
                                            <button type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#modelSampleType">
                                                <b><i class="bi bi-plus"></i></b>New Sample Type
                                            </button>
                                        </div>
                                    </div>

                                </div>

                                <div class="card-body">
                                    <div id="divtblSample">
                                        <table id="tblSampleType" class="display compact" style="width:100%;">
                                            <thead>
                                                <tr>
                                                    <th>Sample Type</th>
                                                    <th>Action</th>
                                                </tr>
                                            </thead>
                                        </table>
                                    </div>
                                    <div id="divSampleNoRecordFound"></div>

                                </div>
                            </div>
                        </div>

                        <div class="tab-pane fade" id="tab-UnitType" role="tabpanel" aria-labelledby="tab-UnitType-tab">
                            <div class="card">
                                <div class="card-header">
                                    <div class="row col-lg-12 cardheader_margin_title">
                                        <div class="col-sm-6">
                                            <h5 class="card-title">
                                                Result Units
                                            </h5>
                                        </div>
                                        <div class="col-sm-6 card-title save" style="text-align:right;">
                                            <button type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#modelUnitType">
                                                <b><i class="bi bi-plus"></i></b>New Result Unit
                                            </button>
                                        </div>
                                    </div>
                                </div>
                                <div class="card-body">
                                    <div id="divtblUnit">
                                        <table id="tblUnit" class="display compact" style="width:100%;">
                                            <thead>
                                                <tr>
                                                    <th>Result Unit</th>
                                                    <th>Action</th>
                                                </tr>
                                            </thead>
                                        </table>
                                    </div>
                                    <div id="divUnitNoRecordFound"></div>

                                </div>
                            </div>
                        </div>

                        <div class="tab-pane fade" id="tab-Qualitative" role="tabpanel" aria-labelledby="tab-Qualitative-tab">
                            <div class="card">
                                <div class="card-header">
                                    <div class="row col-lg-12 cardheader_margin_title">
                                        <div class="col-sm-6">
                                            <h5 class="card-title">
                                                Qualitative Results
                                            </h5>
                                        </div>
                                        <div class="col-sm-6 card-title save" style="text-align:right;">
                                            <button type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#modelQualitative">
                                                <b><i class="bi bi-plus"></i></b>New  Qualitative Result
                                            </button>
                                        </div>
                                    </div>
                                </div>

                                <div class="card-body">
                                    <div id="divtblQualitative">
                                        <table id="tblQualitative" class="display compact" style="width:100%;">
                                            <thead>
                                                <tr>
                                                    <th>Qualitative</th>
                                                    <th>Action</th>
                                                </tr>
                                            </thead>
                                        </table>
                                    </div>
                                    <div id="divQualitativeNoRecordFound"></div>

                                </div>
                            </div>
                        </div>


                        <div class="tab-pane fade" id="tab-Result" role="tabpanel" aria-labelledby="tab-Result-tab">
                            <div class="card">
                                <div class="card-header">
                                    <div class="row col-lg-12 cardheader_margin_title">
                                        <div class="col-sm-6">
                                            <h5 class="card-title">
                                                Result Types
                                            </h5>
                                        </div>
                                        <div class="col-sm-6 card-title save" style="text-align:right;">
                                            <button type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#modelResult">
                                                <b><i class="bi bi-plus"></i></b>New Result Type
                                            </button>
                                        </div>
                                    </div>
                                </div>

                                <div class="card-body">
                                    <div id="divtblResult">
                                        <table id="tblResult" class="display compact" style="width:100%;">
                                            <thead>
                                                <tr>
                                                    <th>Result Type</th>
                                                    <th>Action</th>
                                                </tr>
                                            </thead>
                                        </table>
                                    </div>
                                    <div id="divResultNoRecordFound"></div>

                                </div>
                            </div>
                        </div>

                        <div class="tab-pane fade" id="tab-Clinical" role="tabpanel" aria-labelledby="tab-Clinical-tab">
                            <div class="card">

                                <div class="card-header">
                                    <div class="row col-lg-12 cardheader_margin_title">
                                        <div class="col-sm-6">
                                            <h5 class="card-title">
                                                Clinical Types
                                            </h5>
                                        </div>
                                        <div class="col-sm-6 card-title save" style="text-align:right;">
                                            <button type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#modelClinical">
                                                <b><i class="bi bi-plus"></i></b>New Clinical Type
                                            </button>
                                        </div>
                                    </div>
                                </div>

                                <div class="card-body">
                                    <div id="divtblClinical">
                                        <table id="tblClinical" class="display compact" style="width:100%;">
                                            <thead>
                                                <tr>
                                                    <th>Clinical Type</th>
                                                    <th>Action</th>
                                                </tr>
                                            </thead>
                                        </table>
                                    </div>
                                    <div id="divClinicalNoRecordFound"></div>

                                </div>
                            </div>
                        </div>

                        <div class="tab-pane fade" id="tab-SampleContainer" role="tabpanel" aria-labelledby="tab-SampleContainer-tab">
                            <div class="card">
                                <div class="card-header">
                                    <div class="row col-lg-12 cardheader_margin_title">
                                        <div class="col-sm-6">
                                            <h5 class="card-title">
                                                Sample Containers
                                            </h5>
                                        </div>
                                        <div class="col-sm-6 card-title save" style="text-align:right;">
                                            <button type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#modelSampleContainer">
                                                <b><i class="bi bi-plus"></i></b>New Sample Container
                                            </button>
                                        </div>
                                    </div>
                                </div>
                                <div class="card-body">
                                    <div id="divtblSampleContainer">
                                        <table id="tblSampleContainer" class="display compact" style="width:100%;">
                                            <thead>
                                                <tr>
                                                    <th>Sample Container Name</th>
                                                    <th>Action</th>
                                                </tr>
                                            </thead>
                                        </table>
                                    </div>
                                    <div id="divSampleContainerNoRecordFound"></div>

                                </div>
                            </div>
                        </div>

                        <div class="tab-pane fade" id="tab-ReagentBottleType" role="tabpanel" aria-labelledby="tab-ReagentBottleType-tab">
                            <div class="card">
                                <div class="card-header">
                                    <div class="row col-lg-12 cardheader_margin_title">
                                        <div class="col-sm-6">
                                            <h5 class="card-title">
                                                Reagent Bottle Types
                                            </h5>
                                        </div>
                                        <div class="col-sm-6 card-title save" style="text-align:right;">
                                            <button type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#modelReagentBottleType">
                                                <b><i class="bi bi-plus"></i></b>New Reagent Bottle Type
                                            </button>
                                        </div>
                                    </div>
                                </div>

                                <div class="card-body">
                                    <div id="divtblBottleType">
                                        <table id="tblReagentBottleType" class="display compact" style="width:100%;">
                                            <thead>
                                                <tr>
                                                    <th>Bottle Size (ml)</th>
                                                    <th>Action</th>
                                                </tr>
                                            </thead>
                                        </table>
                                    </div>
                                    <div id="divBottleTypeNoRecordFound"></div>
                                </div>
                            </div>
                        </div>

                        <div class="tab-pane fade" id="tab-QcMaterial" role="tabpanel" aria-labelledby="tab-QcMaterial-tab">
                            <div class="card">
                                <div class="card-header">
                                    <div class="row col-lg-12 cardheader_margin_title">
                                        <div class="col-sm-6">
                                            <h5 class="card-title">
                                                QC Material
                                            </h5>
                                        </div>
                                        <div class="col-sm-6 card-title save" style="text-align:right;">
                                            <button type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#modelReagentBottleType">
                                                <b><i class="bi bi-plus"></i></b>New QC Material
                                            </button>
                                        </div>
                                    </div>
                                </div>
                                <div class="card-body">
                                    <div id="divtblQCMetarial">
                                        <table id="tblQcMaterial" class="display compact" style="width:100%;">
                                            <thead>
                                                <tr>
                                                    <th>QC Material Name</th>
                                                    <th>Action</th>
                                                </tr>
                                            </thead>
                                        </table>
                                    </div>
                                    <div id="divQcMetarialNoRecordFound"></div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </section>
    </div>

    <!-- Data Directory code ends here-->

    <div class="tab-pane fade" id="TabNav_46" role="tabpanel" aria-labelledby="Manufacturer-tab" style="padding-top:10px;">

        <div class="card">

            <div class="card-header">
                <div class="row col-lg-12 cardheader_margin_title">
                    <div class="col-sm-6">
                        <h5 class="card-title">
                            Manufacturer Details
                        </h5>
                    </div>
                    <div class="col-sm-6 card-title save" style="text-align:right;">
                        <button type="button" class="btn btn-primary" data-bs-toggle="modal" data-bs-target="#modelManufacturer">
                            <b><i class="bi bi-plus"></i></b>Add New Manufacturer
                        </button>
                    </div>
                </div>
            </div>

            <div class="card-body">
                <div id="divtblManufacturer">
                    <table id="tblManufacturer" class="display compact" style="width:100%;">
                        <thead>
                            <tr>
                                <th>Manufacturer</th>
                                <th>Calibration</th>
                                <th>Reagent</th>
                                <th>QC</th>
                                <th>Action</th>
                            </tr>
                        </thead>
                    </table>
                </div>
                <div id="divQcManufacturerNoRecordFound"></div>
            </div>

        </div>
    </div>
</div>


<div class="modal" id="modelDeleteConfirmationManufacturer" tabindex="-1">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Confirmation</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <input type="hidden" id="hdDeleteManufacturer" />
                Are you sure delete this data ?
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cancel</button>
                <button type="button" class="btn btn-primary" onclick="DeleteManufacturer()">Yes</button>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="modelManufacturer" tabindex="-1">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="lblTitle1">New Manufacturer</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close" onclick="ClearSampleType()"></button>
            </div>
            <div class="modal-body">
                <input type="hidden" id="hdMnf_Id" />
                <div class="row col-lg-12">
                    <div class="mb-3 mt-2">
                        <div class="col-lg-12 cd-position-relative col-sm-7">
                            <input type="text" id="txtMnfName" class="floating-label-control cd-form-control form-control" placeholder="Manufacturer Name" />
                            <label for="" class="floating-label">Manufacturer Name</label>
                        </div>
                    </div>
                </div>
                <div class="col-lg-12 row">
                    <div class="col-lg-2  mb-3 mt-3">
                        Type:
                    </div>
                    <div class="col-lg-3  mb-3 mt-2">
                        <div class="form-check" style="padding-top:13px">
                            <input type="checkbox" id="chkReg" name="chktype" class="form-check-input">
                            <label class="form-check-label" for="chkReg">
                                Reagent
                            </label>
                        </div>
                    </div>
                    <div class="col-lg-4  mb-3 mt-2">
                        <div class="form-check" style="padding-top:13px">
                            <input type="checkbox" id="chkCali" name="chktype" class="form-check-input">
                            <label class="form-check-label" for="chkCali">
                                Calibration
                            </label>
                        </div>
                    </div>
                    <div class="col-lg-2  mb-3 mt-2">
                        <div class="form-check" style="padding-top:13px">
                            <input type="checkbox" id="chkQC" name="chktype" class="form-check-input">
                            <label class="form-check-label" for="chkQC">
                                QC
                            </label>
                        </div>
                    </div>
                </div>

            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal" onclick="ClearManufacturer()">Close</button>
                <button type="button" id="btnSave1" class="btn btn-primary" onclick="SaveManufacturer()">Save</button>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="modelDoctor" tabindex="-1">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="lblDrTitle">Department And Doctor Details</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close" onclick="ClearDoctor()"></button>
            </div>
            <div class="modal-body">
                <input type="hidden" id="hdDr_Id" />
                <div class="cd-position-relative mb-3">
                    <input type="text" class="floating-label-control cd-form-control form-control" id="txtDr_Name" placeholder="Doctor Name">
                    <label class="floating-label" for="inputDoctor">Doctor Name</label>
                </div>
                <div class="cd-position-relative  mb-3">
                    <input type="text" class="floating-label-control cd-form-control form-control" id="txtDr_Department" placeholder="Department Name">
                    <label class="floating-label" for="inputNameDept">Department Name</label>
                </div>
                <div class="cd-position-relative  mb-3">
                    <input type="number" class="floating-label-control cd-form-control form-control" id="txtDr_MobileNo" placeholder="Mobile Number">
                    <label class="floating-label" for="inputNameDept">Mobile Number</label>
                </div>
                <div class="cd-position-relative mb-3">
                    <textarea class="floating-label-control cd-form-control form-control" id="txtDr_Remark" placeholder="Remarks"></textarea>
                    <label class="floating-label" for="inputRemark">Remarks</label>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal" onclick="ClearDoctor()">Close</button>
                <button type="button" id="btnDrSave" class="btn btn-primary" data-bs-toggle="tooltip" data-bs-html="true" data-bs-original-title="Save Doctor Detail" onclick="SaveDoctor()">Save</button>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="modelOperator" tabindex="-1">
    <div class="modal-dialog modal-lg">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="lblTitle">Operator Directory</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close" onclick="ClearOperator()"></button>
            </div>
            <div class="modal-body">
                <input type="hidden" id="hdOpr_Id" />
                <div class="row">
                    <div class="col-6">
                        <div class="form-floating  mb-3">
                            <div class="cd-position-relative">
                                <input type="text" class="floating-label-control cd-form-control form-control" id="txtOpr_Name" placeholder="Operator Name">
                                <label for="inputNameDept" class="floating-label">Operator Name</label>
                            </div>
                        </div>
                    </div>
                    <div class="col-6">
                        <div class="form-floating mb-3">
                            <div class="cd-position-relative">
                                <input type="text" class="floating-label-control cd-form-control form-control" id="txtOpr_MobileNo" placeholder="Mobile No">
                                <label for="inputRemark" class="floating-label">Mobile Number</label>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="row">
                    <div class="col-6">
                        <div class="form-floating  mb-3">
                            <div class="cd-position-relative">
                                <input type="file" title="Choose a video please" class="floating-label-control cd-form-control form-control" id="fleOpr_Image" placeholder="Operator Name">
                                <label for="inputNameDept" class="floating-label">Image </label>
                            </div>
                            <div class="form-floating mb-3 divUserImage" style=" display:none; justify-content: center; ">
                                <img id="ImgOprImage" src="" alt="User Profile" style="width:50%;">
                            </div>
                        </div>

                    </div>
                    <div class="col-6">
                        <div class="form-floating mb-3">
                            <div class="cd-position-relative">
                                <input type="text" class="floating-label-control cd-form-control form-control" id="txtOpr_Email" placeholder="Email Address">
                                <label for="inputRemark" class="floating-label">Email Address</label>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-6">
                        <div class="form-floating mb-3">
                            <div class="cd-position-relative">
                                <input type="text" class="floating-label-control cd-form-control form-control" id="txtOpr_LoginId" placeholder="Login Id">
                                <label for="inputRemark" class="floating-label">Login Id </label>
                            </div>
                        </div>
                    </div>
                    <div class="col-6">
                        <div class="form-floating  mb-3">
                            <div class="cd-position-relative">
                                <select class="form-select select floating-label-control cd-form-control" id="ddlOpr_Role">
                                </select>
                                <label for="inputDoctor" class="floating-label">Role</label>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="row">
                    <div class="col-6">
                        <div class="form-floating mb-3" id="divNewPassword">
                            <div class="cd-position-relative">
                                <input type="password" class="floating-label-control cd-form-control form-control" id="txtOpr_NewPassword" placeholder="New Password">
                                <label for="inputRemark" class="floating-label">New Password</label>
                            </div>
                        </div>
                    </div>
                    <div class="col-6">
                        <div class="form-floating mb-3" id="divConfirmPassword">
                            <div class="cd-position-relative">
                                <input type="password" class="floating-label-control cd-form-control form-control" id="txtOpr_ConfirmPassword" placeholder="Confirm Password">
                                <label for="inputRemark" class="floating-label">Confirm Password</label>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal" onclick="ClearOperator()">Close</button>
                <button type="button" id="btnOprSave" class="btn btn-primary" onclick="SaveOperator()">Save</button>
            </div>
        </div>
    </div>
</div>


<div class="modal fade" id="modelResetPasswordOperator" tabindex="-1">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="lblDrTitle">Rest Password</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <input type="hidden" id="hdResetpwdOpr_Id" />

                <div class="form-floating  mb-3">
                    <input type="password" class="form-control" id="txtResetpwdOpr_NewPassword" placeholder="New Password">
                    <label for="inputNameDept">New Password</label>
                </div>

                <div class="form-floating mb-3">
                    <input type="password" class="form-control" id="txtResetpwdOpr_ConfirmPassword" placeholder="Confirm Password">
                    <label for="inputRemark">Confirm Password</label>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                <button type="button" id="" class="btn btn-primary" onclick="ResetPasswordOperator()">Save</button>
            </div>
        </div>
    </div>
</div>


<div class="modal fade" id="modelSampleType" tabindex="-1">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="lblTitle1">New Sample Type</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close" onclick="ClearSampleType()"></button>
            </div>
            <div class="modal-body">
                <input type="hidden" id="hdSMP_Id" />
                <div class="row">
                    <div class="col-sm-12">
                        <div class="cd-position-relative">
                            <input type="text" id="txtSMP_Type" class="floating-label-control cd-form-control form-control" placeholder="Enter Sample Type" />
                            <label for="" class="floating-label">Sample Type</label>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal" onclick="ClearSampleType()">Close</button>
                <button type="button" id="btnSave1" class="btn btn-primary" onclick="SaveSampleType()">Save</button>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="modelUnitType" tabindex="-1">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="lblTitle2">New Unit Type</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close" onclick="ClearUnitType()"></button>
            </div>
            <div class="modal-body">
                <input type="hidden" id="hdUnt_Id" />
                <div class="row">
                    <div class="col-sm-12">
                        <div class="cd-position-relative">
                            <input type="text" id="txtUnt_Name" class="floating-label-control cd-form-control form-control" placeholder="Enter Unit Type" />
                            <label for="txtUnt_Name" class="floating-label">Unit Type</label>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal" onclick="ClearUnitType()">Close</button>
                <button type="button" id="btnSave2" class="btn btn-primary" onclick="SaveUnitType()">Save</button>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="modelQualitative" tabindex="-1">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="lblTitle2">New Qualitative Type</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close" onclick="ClearQualitative()"></button>
            </div>

            <div class="modal-body">
                <input type="hidden" id="hdQualtId" />
                <div class="row">
                    <div class="col-sm-12">
                        <div class="cd-position-relative">
                            <input type="text" id="txtQualtName" class="floating-label-control cd-form-control form-control" placeholder="Enter Qualitative Type" />
                            <label for="txtQualtName" class="floating-label"> Qualitative Type</label>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal" onclick="ClearQualitative()">Close</button>
                <button type="button" id="btnSave3" class="btn btn-primary" onclick="SaveQualitative()">Save</button>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="modelResult" tabindex="-1">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="lblTitle4">New Result Type</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close" onclick="ClearResult()"></button>
            </div>
            <div class="modal-body">
                <input type="hidden" id="hdRsltId" />
                <div class="row">
                    <div class="col-sm-12">
                        <div class="cd-position-relative">
                            <input type="text" id="txtRsltName" class="floating-label-control cd-form-control form-control" placeholder="Enter Result Type" />
                            <label for="txtRsltName" class="floating-label">Result Type</label>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal" onclick="ClearResult()">Close</button>
                <button type="button" id="btnSave4" class="btn btn-primary" onclick="SaveResult()">Save</button>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="modelClinical" tabindex="-1">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="lblTitle5">New Clinical Type</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close" onclick="ClearClinical()"></button>
            </div>
            <div class="modal-body">
                <input type="hidden" id="hdClnId" />
                <div class="row">
                    <div class="col-sm-12">
                        <div class="cd-position-relative">
                            <input type="text" id="txtClnName" class="floating-label-control cd-form-control form-control" placeholder="Enter Clinical Type" />
                            <label for="" class="floating-label">Clinical Type</label>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal" onclick="ClearClinical()">Close</button>
                <button type="button" id="btnSave5" class="btn btn-primary" onclick="SaveClinical()">Save</button>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="modelSampleContainer" tabindex="-1">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="lblTitle6">New Sample Container</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close" onclick="ClearSampleContainer()"></button>
            </div>
            <div class="modal-body">
                <input type="hidden" id="hdSmpCon_Id" />
                <div class="row">
                    <div class="col-sm-12">
                        <div class="cd-position-relative">
                            <input type="text" id="txtSmpCon_Name" class="floating-label-control cd-form-control form-control" placeholder="Enter Sample Container" />
                            <label for="txtSmpCon_Name" class="floating-label">Sample Container </label>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal" onclick="ClearSampleContainer();">Close</button>
                <button type="button" id="btnSave6" class="btn btn-primary" onclick="SaveSampleContainer()">Save</button>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="modelReagentBottleType" tabindex="-1">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="lblTitle7">New Reagent Bottle Size </h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close" onclick="ClearReagentBottleType()"></button>
            </div>
            <div class="modal-body">
                <input type="hidden" id="hdRgntBtl_Id" />
                <div class="row">
                    <div class="col-sm-12">
                        <div class="cd-position-relative">
                            <input type="number" id="txtRgntBtl_Size" class="floating-label-control cd-form-control form-control" placeholder="Enter Reagent Bottle Size" />
                            <label for="txtRgntBtl_Size" class="floating-label">Reagent Bottle Size </label>

                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal" onclick="ClearReagentBottleType()">Close</button>
                <button type="button" id="btnSave7" class="btn btn-primary" onclick="SaveReagentBottleType()">Save</button>
            </div>
        </div>
    </div>
</div>

<div class="modal fade" id="modelQcMaterial" tabindex="-1">
    <div class="modal-dialog modal-dialog-centered">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="lblTitle8">New QC Material</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close" onclick="ClearQcMaterial()"></button>
            </div>
            <div class="modal-body">
                <input type="hidden" id="hdQcMtrl_Id" />
                <div class="row">
                    <div class="col-sm-12">
                        <div class="cd-position-relative">
                            <input type="text" id="txtQcMtrl_Name" class="floating-label-control cd-form-control form-control" placeholder="Enter Qc Material" />
                            <label for="txtQcMtrl_Name" class="floating-label">QC Material Name</label>
                        </div>
                    </div>
                </div>
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal" onclick="ClearQcMaterial()">Close</button>
                <button type="button" id="btnSave8" class="btn btn-primary" onclick="SaveQcMaterial()">Save</button>
            </div>
        </div>
    </div>
</div>


<!-- Delete Confirmation model-->
<div class="modal" id="modelDeleteConfirmationDoctor" tabindex="-1">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Confirmation</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <input type="hidden" id="hdDeleteDoctorId" />
                Are you sure delete this data ?
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cancel</button>
                <button type="button" class="btn btn-primary" onclick="DeleteDoctor()">Yes</button>
            </div>
        </div>
    </div>
</div>

<div class="modal" id="modelDeleteConfirmationOperator" tabindex="-1">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Confirmation</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <input type="hidden" id="hdDeleteOperatorId" />
                Are you sure delete this data ?
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cancel</button>
                <button type="button" class="btn btn-primary" onclick="DeleteOperator()">Yes</button>
            </div>
        </div>
    </div>
</div>


<div class="modal" id="modelDeleteConfirmationSampleType" tabindex="-1">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Confirmation</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <input type="hidden" id="hdDeleteSampleTypeId" />
                Are you sure delete this data ?
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Cancel</button>
                <button type="button" class="btn btn-primary" onclick="DeleteSampleType()">Yes</button>
            </div>
        </div>
    </div>
</div>

<div class="modal" id="modelDeleteConfirmationUnitType" tabindex="-1">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Confirmation</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <input type="hidden" id="hdDeleteUnitTypeId" />
                Are you sure delete this data ?
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                <button type="button" class="btn btn-primary" onclick="DeleteUnitType()">Yes</button>
            </div>
        </div>
    </div>
</div>

<div class="modal" id="modelDeleteConfirmationQualitative" tabindex="-1">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Confirmation</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <input type="hidden" id="hdDeleteQualitativeId" />
                Are you sure delete this data ?
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                <button type="button" class="btn btn-primary" onclick="DeleteQualitative()">Yes</button>
            </div>
        </div>
    </div>
</div>

<div class="modal" id="modelDeleteConfirmationResult" tabindex="-1">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Confirmation</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <input type="hidden" id="hdDeleteResultId" />
                Are you sure delete this data ?
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                <button type="button" class="btn btn-primary" onclick="DeleteResult()">Yes</button>
            </div>
        </div>
    </div>
</div>

<div class="modal" id="modelDeleteConfirmationClinical" tabindex="-1">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Confirmation</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <input type="hidden" id="hdDeleteClinicalId" />
                Are you sure delete this data ?
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                <button type="button" class="btn btn-primary" onclick="DeleteClinical()">Yes</button>
            </div>
        </div>
    </div>
</div>

<div class="modal" id="modelDeleteConfirmationSampleContainer" tabindex="-1">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Confirmation</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <input type="hidden" id="hdDeleteSampleContainerId" />
                Are you sure delete this data ?
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                <button type="button" class="btn btn-primary" onclick="DeleteSampleContainer()">Yes</button>
            </div>
        </div>
    </div>
</div>

<div class="modal" id="modelDeleteConfirmationReagentBottleType" tabindex="-1">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Confirmation</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <input type="hidden" id="hdDeleteReagentBottleTypeId" />
                Are you sure delete this data ?
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                <button type="button" class="btn btn-primary" onclick="DeleteReagentBottleType()">Yes</button>
            </div>
        </div>
    </div>
</div>

<div class="modal" id="modelDeleteConfirmationQcMaterial" tabindex="-1">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title">Confirmation</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body">
                <input type="hidden" id="hdDeleteQcMaterialId" />
                Are you sure delete this data ?
            </div>
            <div class="modal-footer">
                <button type="button" class="btn btn-secondary" data-bs-dismiss="modal">Close</button>
                <button type="button" class="btn btn-primary" onclick="DeleteQcMaterial()">Yes</button>
            </div>
        </div>
    </div>
</div>

<script src="~/js/UI/jquery.js"></script>
<script src="~/js/app/datadirectory.js"></script>
<script>

    /* script added by jayashri -- To render left side menu tabs */

    $(document).ready(function () {



        // const currentUrl = window.location.href;

        // if (currentUrl.includes("Customer%20Detail")) {

        //     $(document.getElementById("OperatorDirectory")).removeClass("tab-pane fade show active");
        //     $(document.getElementById("OperatorDirectory")).addClass("tab-pane fade");

        //     $(document.getElementById("home")).removeClass("tab-pane fade");
        //     $(document.getElementById("home")).addClass("tab-pane fade show active");

        //     $(document.getElementById("DataDirectory")).removeClass("tab-pane fade show active");
        //     $(document.getElementById("DataDirectory")).addClass("tab-pane fade");

        //     $(document.getElementById("home-tab")).removeClass("nav-link");
        //     $(document.getElementById("home-tab")).addClass("nav-link active");

        //     $(document.getElementById("DataDirectory-tab")).removeClass("nav-link active");
        //     $(document.getElementById("DataDirectory-tab")).addClass("nav-link");

        //     $(document.getElementById("OperatorDirectory-tab")).removeClass("nav-link active");
        //     $(document.getElementById("OperatorDirectory-tab")).addClass("nav-link")

        //     $(document.getElementById("Manufacturer-tab")).removeClass("nav-link active");
        //     $(document.getElementById("Manufacturer-tab")).addClass("nav-link");

        // }
        // else if (currentUrl.includes("Operator%20Directory")) {

        //     $(document.getElementById("home")).removeClass("tab-pane fade show active");
        //     $(document.getElementById("home")).addClass("tab-pane fade");

        //     $(document.getElementById("OperatorDirectory")).removeClass("tab-pane fade");
        //     $(document.getElementById("OperatorDirectory")).addClass("tab-pane fade show active");

        //     $(document.getElementById("DataDirectory")).removeClass("tab-pane fade show active");
        //     $(document.getElementById("DataDirectory")).addClass("tab-pane fade");

        //     $(document.getElementById("OperatorDirectory-tab")).removeClass("nav-link");
        //     $(document.getElementById("OperatorDirectory-tab")).addClass("nav-link active");

        //     $(document.getElementById("DataDirectory-tab")).removeClass("nav-link active");
        //     $(document.getElementById("DataDirectory-tab")).addClass("nav-link");

        //     $(document.getElementById("home-tab")).removeClass("nav-link active");
        //     $(document.getElementById("home-tab")).addClass("nav-link")

        //     $(document.getElementById("Manufacturer-tab")).removeClass("nav-link active");
        //     $(document.getElementById("Manufacturer-tab")).addClass("nav-link");
        // }
        // else if (currentUrl.includes("Data%20Directory")) {

        //     $(document.getElementById("home")).removeClass("tab-pane fade show active");
        //     $(document.getElementById("home")).addClass("tab-pane fade");

        //     $(document.getElementById("DataDirectory")).removeClass("tab-pane fade");
        //     $(document.getElementById("DataDirectory")).addClass("tab-pane fade show active");

        //     $(document.getElementById("OperatorDirectory")).removeClass("tab-pane fade show active");
        //     $(document.getElementById("OperatorDirectory")).addClass("tab-pane fade");

        //     $(document.getElementById("OperatorDirectory-tab")).removeClass("nav-link active");
        //     $(document.getElementById("OperatorDirectory-tab")).addClass("nav-link");

        //     $(document.getElementById("DataDirectory-tab")).removeClass("nav-link");
        //     $(document.getElementById("DataDirectory-tab")).addClass("nav-link active");

        //     $(document.getElementById("home-tab")).removeClass("nav-link active");
        //     $(document.getElementById("home-tab")).addClass("nav-link")

        //     $(document.getElementById("Manufacturer-tab")).removeClass("nav-link active");
        //     $(document.getElementById("Manufacturer-tab")).addClass("nav-link");

        // }
        // else if (currentUrl.includes("Manufacturer")) {

        //     $(document.getElementById("home")).removeClass("tab-pane fade show active");
        //     $(document.getElementById("home")).addClass("tab-pane fade");

        //     $(document.getElementById("OperatorDirectory")).removeClass("tab-pane fade show active");
        //     $(document.getElementById("OperatorDirectory")).addClass("tab-pane fade");

        //     $(document.getElementById("DataDirectory")).removeClass("tab-pane fade show active");
        //     $(document.getElementById("DataDirectory")).addClass("tab-pane fade");

        //     $(document.getElementById("Manufacturer")).removeClass("tab-pane fade");
        //     $(document.getElementById("Manufacturer")).addClass("tab-pane fade show active");

        //     $(document.getElementById("OperatorDirectory-tab")).removeClass("nav-link active");
        //     $(document.getElementById("OperatorDirectory-tab")).addClass("nav-link");

        //     $(document.getElementById("Manufacturer-tab")).removeClass("nav-link");
        //     $(document.getElementById("Manufacturer-tab")).addClass("nav-link active");

        //     $(document.getElementById("DataDirectory-tab")).removeClass("nav-link active");
        //     $(document.getElementById("DataDirectory-tab")).addClass("nav-link");

        //     $(document.getElementById("home-tab")).removeClass("nav-link active");
        //     $(document.getElementById("home-tab")).addClass("nav-link")

        //     //$(document.getElementById("Manufacturer-tab")).removeClass("nav-link");
        //     //$(document.getElementById("Manufacturer-tab")).addClass("nav-link active")
        // }
        // else {
        //     $(document.getElementById("home")).removeClass("tab-pane fade");
        //     $(document.getElementById("home")).addClass("tab-pane fade show active");
        // }

    });

</script>